import javax.naming.ConfigurationException;

import net.knarcraft.serverlauncher.server.*;
import java.util.ArrayList;

/**
 * A class for testing new and existing features.
 *
 * @author		Kristian Knarvik <kristian.knarvik@knett.no>
 * @version	0.0.0.1
 * @since		0.0.0.1
 */
public class ServerTest {
    private static ArrayList<Server> servers = new ArrayList<>();

    public static void main(String[] args) {
        try {
            ServerType.loadServerTypes();
        } catch (ConfigurationException e) {
            e.printStackTrace();
            System.exit(1);
        }
        new Server("Server1");
        Server server1 = Server.getServers().get(0);
        server1.toggle();
        server1.setPath("C:\\Users\\Kristian\\Desktop\\Test");
        server1.setType(ServerType.getServerTypes().get(6));
        server1.setServerVersion("1.6.4");
        server1.setMaxRam("1G");
        servers.add(server1);
        Server.startServers();
    }


}
